## Apache Zeta Components Manual :: File Source for index.php

## Source for file index.php

Documentation is available at index.php

1. <?php
2. /**
3. *
4. * Licensed to the Apache Software Foundation (ASF) under one
5. * or more contributor license agreements. See the NOTICE file
6. * distributed with this work for additional information
7. * regarding copyright ownership. The ASF licenses this file
8. * to you under the Apache License, Version 2.0 (the
9. * "License"); you may not use this file except in compliance
10. * with the License. You may obtain a copy of the License at
11. *
12. * http://www.apache.org/licenses/LICENSE-2.0
13. *
14. * Unless required by applicable law or agreed to in writing,
15. * software distributed under the License is distributed on an
16. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
17. * KIND, either express or implied. See the License for the
18. * specific language governing permissions and limitations
19. * under the License.
20. *
21. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
22. * @version //autogentag//
23. * @filesource
24. * @package DatabaseSchema
25. */
26. /**
27. * A container to store a table index in.
28. *
29. * @package DatabaseSchema
30. * @version //autogentag//
31. */
32. class ezcDbSchemaIndex extends ezcBaseStruct
33. {
34. /**
35. * The fields that make up this index
36. *
37. * The array is indexed with the name of the field.
38. *
39. * @var array(string=>ezcDbSchemaIndexField)
40. */
41. public $indexFields ;
43. /**
44. * Whether this is the primary index for a table.
45. *
46. * @var bool
47. */
48. public $primary ;
50. /**
51. * Whether entries in this index need to be unique.
52. *
53. * @var bool
54. */
55. public $unique ;
57. /**
58. * Constructs an ezcDbSchemaIndex object.
59. *
60. * @param array(string=>ezcDbSchemaIndexField) $indexFields
61. * @param bool $primary
62. * @param bool $unique
63. */
64. function __construct ( $indexFields, $primary = false, $unique = true )
65. {
66. $this-> indexFields = $indexFields;
67. $this-> primary = (bool) $primary;
68. $this-> unique = (bool) ( $this-> primary ? true : $unique );
69. }
71. static public function __set_state ( array $array )
72. {
73. return new ezcDbSchemaIndex(
74. $array['indexFields'], $array['primary'], $array['unique']
75. );
76. }
77. }
78. ?>

Documentation generated by phpDocumentor 1.4.3